std::tr2::direct_bases< _Tp > Struct Template Reference
Metaprogramming

## Public Types

typedef __reflection_typelist < __direct_bases(_Tp)...> | type

## Detailed Description

### template<typename _Tp>
struct std::tr2::direct_bases< _Tp >

Enumerate all the direct base classes of a class. Form of a typelist.

Definition at line 95 of file tr2/type_traits.

The documentation for this struct was generated from the following file:

- tr2/type_traits